### Hierarchy

- AccountManager

### Implemented by

- AccountManagerImpl

## Index

### Methods

- authenticationByAccessToken
- authenticationByPassPhrase
- checkAccount
- getAccount
- getNewMnemonic
- registration
- unsubscribe

## Methods

### authenticationByAccessToken

- authenticationByAccessToken(accessToken: string, message: string): Promise<Account>

- - Defined in manager/AccountManager.ts:24

  Checks if user with provided access token is already registered in the system.

  #### Parameters

  - ##### accessToken: string

    token for authenticate on remote signer (if KeyPairHelper support RemoteSigner)

  - ##### message: string

    on the basis of which a signature will be created to verify the public key

  #### Returns Promise<Account>

  {Account} if client exist or http exception if fail.

### authenticationByPassPhrase

- authenticationByPassPhrase(passPhrase: string, message: string): Promise<Account>

- - Defined in manager/AccountManager.ts:13

  Checks or Register user with provided mnemonic phrase is already registered in the system.

  #### Parameters

  - ##### passPhrase: string

    Mnemonic phrase for Public/Private key pair generation for asymmetric encryption scheme.

  - ##### message: string

    on the basis of which a signature will be created to verify the public key

  #### Returns Promise<Account>

  {Account} if client exist or http exception if fail.

### checkAccount

- checkAccount(mnemonicPhrase: string, message: string): Promise<Account>

- - Defined in manager/AccountManager.ts:44

  Checks if user with provided mnemonic phrase is already registered in the system.

  #### Parameters

  - ##### mnemonicPhrase: string

    Mnemonic phrase for Public/Private key pair generation for asymmetric encryption scheme.

  - ##### message: string

    on the basis of which a signature will be created to verify the public key

  #### Returns Promise<Account>

  {Account} if client exist or http exception if fail.

### getAccount

- getAccount(): Account

- - Defined in manager/AccountManager.ts:55

  #### Returns Account

### getNewMnemonic

- getNewMnemonic(): Promise<string>

- - Defined in manager/AccountManager.ts:53

  #### Returns Promise<string>

### registration

- registration(mnemonicPhrase: string, message: string): Promise<Account>

- - Defined in manager/AccountManager.ts:34

  Registers a new user in the system.

  #### Parameters

  - ##### mnemonicPhrase: string

    Mnemonic phrase for Public/Private key pair generation for asymmetric encryption scheme.

  - ##### message: string

    on the basis of which a signature will be created to verify the public key

  #### Returns Promise<Account>

  {Account} after successful registration or http exception if fail.

### unsubscribe

- unsubscribe(): Promise<Account>

- - Defined in manager/AccountManager.ts:51

  Allows user to unsubscribe from BASE. Delets all his data

  #### Returns Promise<Account>

  {Account} if client exist or http exception if fail.

Generated using TypeDoc